package com.backfire.room.surface;

import com.backfire.Animation.Animation;
import com.backfire.Animation.AnimationManager;
import com.backfire.graphics.PCanvas;

public class AnimationSurface {
	public void drawSelf(final PCanvas canvas,final long sleep) {
		AnimationManager.getInstance().deleteAnimationUnuse();
		AnimationManager.getInstance().ListAnimation(new AnimationManager.ListAnimationCallback() {
			
			public boolean onAnimation(int id, Animation a) {
				a.exec(canvas,sleep);
				return true;
			}
		});
	}
}
